| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::cann::OperatorRunner Class Reference

Interface to call operators in CANN package. More...

`#include <opencv2/cann_call.hpp>`

Collaboration diagram for cv::cann::OperatorRunner:

## Public Member Functions
| OperatorRunner ()
virtual | ~OperatorRunner ()
OperatorRunner & | addAttr (bool value, const char *name)
OperatorRunner & | addAttr (const char *value, const char *name)
OperatorRunner & | addAttr (const int64_t *value, int size, const char *name)
OperatorRunner & | addAttr (float value, const char *name)
OperatorRunner & | addAttr (int value, const char *name)
OperatorRunner & | addInput (const AscendMat &mat)
OperatorRunner & | addInput (const AscendMat &mat, const char *name)
OperatorRunner & | addInput (const Scalar &sc, int type, const char *name)
template<typename T >
OperatorRunner & | addInput (const T *value, int64_t *dims, size_t dimSize, aclDataType type, const char *name)
OperatorRunner & | addOutput (AscendMat &mat)
OperatorRunner & | addOutput (AscendMat &mat, const char *name)
OperatorRunner & | reset ()
OperatorRunner & | run (AscendStream &stream)
OperatorRunner & | setOp (const char *op)

## Detailed Description

Interface to call operators in CANN package.

## Constructor & Destructor Documentation

## ◆ OperatorRunner()

cv::cann::OperatorRunner::OperatorRunner | ( |  | ) |
| inline

## ◆ ~OperatorRunner()

virtual cv::cann::OperatorRunner::~OperatorRunner | ( |  | ) |
| inline virtual

Here is the call graph for this function:

## Member Function Documentation

## ◆ addAttr() [1/5]

OperatorRunner & cv::cann::OperatorRunner::addAttr | ( | bool | value,
|  | const char * | name )

## ◆ addAttr() [2/5]

OperatorRunner & cv::cann::OperatorRunner::addAttr | ( | const char * | value,
|  | const char * | name )

## ◆ addAttr() [3/5]

OperatorRunner & cv::cann::OperatorRunner::addAttr | ( | const int64_t * | value,
|  | int | size,
|  | const char * | name )

## ◆ addAttr() [4/5]

OperatorRunner & cv::cann::OperatorRunner::addAttr | ( | float | value,
|  | const char * | name )

## ◆ addAttr() [5/5]

OperatorRunner & cv::cann::OperatorRunner::addAttr | ( | int | value,
|  | const char * | name )

## ◆ addInput() [1/4]

OperatorRunner & cv::cann::OperatorRunner::addInput | ( | const AscendMat & | mat | ) |

## ◆ addInput() [2/4]

OperatorRunner & cv::cann::OperatorRunner::addInput | ( | const AscendMat & | mat,
|  | const char * | name )

## ◆ addInput() [3/4]

OperatorRunner & cv::cann::OperatorRunner::addInput | ( | const Scalar & | sc,
|  | int | type,
|  | const char * | name )

## ◆ addInput() [4/4]

template<typename T >

OperatorRunner & cv::cann::OperatorRunner::addInput | ( | const T * | value,
|  | int64_t * | dims,
|  | size_t | dimSize,
|  | aclDataType | type,
|  | const char * | name )
| inline

Here is the call graph for this function:

## ◆ addOutput() [1/2]

OperatorRunner & cv::cann::OperatorRunner::addOutput | ( | AscendMat & | mat | ) |

## ◆ addOutput() [2/2]

OperatorRunner & cv::cann::OperatorRunner::addOutput | ( | AscendMat & | mat,
|  | const char * | name )

## ◆ reset()

OperatorRunner & cv::cann::OperatorRunner::reset | ( |  | ) |

## ◆ run()

OperatorRunner & cv::cann::OperatorRunner::run | ( | AscendStream & | stream | ) |

## ◆ setOp()

OperatorRunner & cv::cann::OperatorRunner::setOp | ( | const char * | op | ) |

The documentation for this class was generated from the following file:

- opencv2/cann_call.hpp